summaryrefslogtreecommitdiff
path: root/scripts/libmakepkg/executable/strip.sh.in
diff options
context:
space:
mode:
authorQue Quotion <quequotion@gmail.com>2018-11-27 18:23:00 +0900
committerAllan McRae <allan@archlinux.org>2018-11-27 22:48:43 +1000
commit0bb04fa16a82db133dd010478c1256bc8500c5e7 (patch)
tree21ca195cdffbe3f1315b25a3b16bd1366d556941 /scripts/libmakepkg/executable/strip.sh.in
parentd81b5cc2a5193a344fc6f9cbf72d406d5597d85b (diff)
downloadpacman-0bb04fa16a82db133dd010478c1256bc8500c5e7.tar.xz
Split check_software() to libmakepkg
This opens the door for third parties who provide extensions to libmakepkg to supply scripts that confirm the presence of their dependant executables. Signed-off-by: Que Quotion <quequotion@gmail.com> Signed-off-by: Allan McRae <allan@archlinux.org>
Diffstat (limited to 'scripts/libmakepkg/executable/strip.sh.in')
-rw-r--r--scripts/libmakepkg/executable/strip.sh.in37
1 files changed, 37 insertions, 0 deletions
diff --git a/scripts/libmakepkg/executable/strip.sh.in b/scripts/libmakepkg/executable/strip.sh.in
new file mode 100644
index 00000000..a6b81db6
--- /dev/null
+++ b/scripts/libmakepkg/executable/strip.sh.in
@@ -0,0 +1,37 @@
+#!/usr/bin/bash
+#
+# strip.sh - Confirm presense of strip binary
+#
+# Copyright (c) 2011-2018 Pacman Development Team <pacman-dev@archlinux.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+[[ -n "$LIBMAKEPKG_EXECUTABLE_STRIP_SH" ]] && return
+LIBMAKEPKG_EXECUTABLE_STRIP_SH=1
+
+LIBRARY=${LIBRARY:-'@libmakepkgdir@'}
+
+source "$LIBRARY/util/option.sh"
+
+executable_functions+=('executable_strip')
+
+executable_strip() {
+ if check_option "strip" "y"; then
+ if ! type -p strip >/dev/null; then
+ error "$(gettext "Cannot find the %s binary required for object file stripping.")" "strip"
+ ret=1
+ fi
+ fi
+}